<?
$db_server='(local)\SQLEXPRESS';
$db_user='sa';
$db_pass='ats475';
$db_table='master';
	$conn = mssql_connect ($db_server, $db_user, $db_pass) or die ('No puedo conectar de la base de datos'); 	
	
	mssql_select_db($db_table); 
	


$sql="EXEC msdb.dbo.sp_delete_database_backuphistory @database_name = N'prefrio'";
echo "<li>Borrando base de datos corrupta(historial)</li>";
ejecutarsql($sql);
$sql="DROP DATABASE [prefrio]";
echo "<li>Borrando base de datos corrupta</li>";
ejecutarsql($sql);
$sql="RESTORE DATABASE [prefrio] FROM  DISK = N'C:\\temp\\cefrupal.bak' WITH  FILE = 1,  NOUNLOAD,  STATS = 10";
echo "<li>Restaurando base de datos</li>";
ejecutarsql($sql);


	
function ejecutarsql($sql) {
	global $conn;
	$resultado = mssql_query($sql,$conn); // or die("No puede ejecutar query :$sql <br>");
}


mssql_close($conn);	

echo "<li>Fin del Proceso</li>";
?>